[X2Go-Commits] [maintenancescripts] 01/01: git/hooks/update-script._irkerhook.py_: make URL red.

git-admin at x2go.org git-admin at x2go.org
Sun Mar 29 04:46:13 CEST 2015


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository maintenancescripts.

commit a06ac661abff72a4cb6dfe320ade9059c8aa96c2
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sun Mar 29 04:45:57 2015 +0200

    git/hooks/update-script._irkerhook.py_: make URL red.
---
 git/hooks/update-irkerhook_only        |   14 ++++++++++++++
 git/hooks/update-script._irkerhook.py_ |    2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

diff --git a/git/hooks/update-irkerhook_only b/git/hooks/update-irkerhook_only
new file mode 100755
index 0000000..57c3a95
--- /dev/null
+++ b/git/hooks/update-irkerhook_only
@@ -0,0 +1,14 @@
+#!/bin/bash
+#
+# Update hook for X2Go Git projects
+#
+
+. "hooks/common.sh"
+
+REFNAME="${1}"
+OLD="${2}"
+NEW="${3}"
+
+git rev-list --reverse "${OLD}..${NEW}" | while read cur_rev; do
+  "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._irkerhook.py_" --refname="${REFNAME}" "${cur_rev}" --repo="${SHORT_GIT_REPO_NAME}" || :
+done
diff --git a/git/hooks/update-script._irkerhook.py_ b/git/hooks/update-script._irkerhook.py_
index 71b5a3f..2f3b194 100755
--- a/git/hooks/update-script._irkerhook.py_
+++ b/git/hooks/update-script._irkerhook.py_
@@ -227,7 +227,7 @@ class GitExtractor(GenericExtractor):
         self.email = do("git config --get irker.email")
         #self.tcp = do("git config --bool --get irker.tcp")
         self.tcp = True
-        self.template = '%(bold)s%(project)s:%(reset)s %(green)s%(author)s%(reset)s %(repo)s:%(yellow)s%(branch)s%(reset)s * %(bold)s%(url)s%(reset)s / %(bold)s%(files)s%(reset)s:\n%(logmsg)s %(brown)s'
+        self.template = '%(bold)s%(project)s:%(reset)s %(green)s%(author)s%(reset)s %(repo)s:%(yellow)s%(branch)s%(reset)s * %(red)s%(url)s%(reset)s / %(bold)s%(files)s%(reset)s:\n%(logmsg)s'
         self.tinyifier = do("git config --get irker.tinyifier") or default_tinyifier
         #self.color = do("git config --get irker.color")
         self.color = "mIRC"

--
Alioth's /srv/git/code.x2go.org/maintenancescripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/maintenancescripts.git


More information about the x2go-commits mailing list